Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.velocity.template
Class DefinitionDirective

    java.lang.Object
      org.apache.velocity.runtime.directive.Directive
          org.apache.tiles.velocity.template.BlockDirective
              org.apache.tiles.velocity.template.DefinitionDirective

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

    public class DefinitionDirective

extends BlockDirective

Wraps `DefinitionModel` to be used in Velocity. For the list of parameters, see `DefinitionModel#start(java.util.Stack, String, String, String, String, String)` , `DefinitionModel#end(MutableTilesContainer, java.util.Stack, Object...)` and `DefinitionModel#execute(MutableTilesContainer, java.util.Stack, String, String, String, String, String, Object...)`.

Since:
  2.2.2
Version:
  $Rev: 902403 $ $Date: 2010-01-23 14:31:17 +0100 (sab, 23 gen 2010) $

Field Summary

Fields inherited from class org.apache.velocity.runtime.directive.Directive
`rsvc`

Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants
`BLOCK, LINE`

Constructor Summary
`DefinitionDirective()` Default constructor.
`DefinitionDirective(DefinitionModel model)` Constructor.

Method Summary
`protected void` | `end(org.apache.velocity.context.InternalContextAdapter context, java.io.Writer writer, java.util.Map<java.lang.String,java.lang.Object> params, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)` Ends the directive, after evaluating the body.
`java.lang.String` | `getName()`
`protected void` | `start(org.apache.velocity.context.InternalContextAdapter context, java.io.Writer writer, java.util.Map<java.lang.String,java.lang.Object> params, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)` Starts the directive, before evaluating the body.

Methods inherited from class org.apache.tiles.velocity.template.BlockDirective
`getType, render`

Methods inherited from class org.apache.velocity.runtime.directive.Directive
`getColumn, getLine, getTemplateName, init, setLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefinitionDirective

    public DefinitionDirective()

  Default constructor.

  Since:
    2.2.2

### DefinitionDirective

    public DefinitionDirective(DefinitionModel model)

  Constructor.

  Parameters:
    `model` - The used model.
  Since:
    2.2.2

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `org.apache.velocity.runtime.directive.Directive`

### end

    protected void end(org.apache.velocity.context.InternalContextAdapter context,
                       java.io.Writer writer,
                       java.util.Map<java.lang.String,java.lang.Object> params,
                       javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response,
                       javax.servlet.ServletContext servletContext)

  Ends the directive, after evaluating the body.

  Specified by:
    `end` in class `BlockDirective`
  Parameters:
    `context` - The Velocity context.
    `writer` - The writer user to write the result.
    `params` - The parameters got from the first node of the directive.
    `request` - The HTTP request.
    `response` - The HTTP response.
    `servletContext` - The servlet context.

### start

    protected void start(org.apache.velocity.context.InternalContextAdapter context,
                         java.io.Writer writer,
                         java.util.Map<java.lang.String,java.lang.Object> params,
                         javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response,
                         javax.servlet.ServletContext servletContext)

  Starts the directive, before evaluating the body.

  Specified by:
    `start` in class `BlockDirective`
  Parameters:
    `context` - The Velocity context.
    `writer` - The writer user to write the result.
    `params` - The parameters got from the first node of the directive.
    `request` - The HTTP request.
    `response` - The HTTP response.
    `servletContext` - The servlet context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.